summaryrefslogtreecommitdiff
path: root/extra/libmp4v2
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/libmp4v2
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/libmp4v2')
-rw-r--r--extra/libmp4v2/PKGBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/extra/libmp4v2/PKGBUILD b/extra/libmp4v2/PKGBUILD
new file mode 100644
index 000000000..9182dd229
--- /dev/null
+++ b/extra/libmp4v2/PKGBUILD
@@ -0,0 +1,28 @@
+# $Id: PKGBUILD 71330 2010-03-06 18:41:25Z andrea $
+# Maintainer:
+# Contributor: Andrea Scarpino <andrea@archlinux.org>
+# Contributor: Jan de Groot <jgc@archlinux.org>
+
+pkgname=libmp4v2
+pkgver=1.9.1
+pkgrel=1
+pkgdesc="MPEG-4 library"
+arch=('i686' 'x86_64')
+license=('MPL')
+url="http://code.google.com/p/mp4v2/"
+options=('!libtool')
+source=(http://mp4v2.googlecode.com/files/mp4v2-${pkgver}.tar.bz2)
+md5sums=('986701929ef15b03155ac4fb16444797')
+
+build() {
+ cd ${srcdir}/mp4v2-${pkgver}
+
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd ${srcdir}/mp4v2-${pkgver}
+ make DESTDIR=${pkgdir} install || return 1
+ make DESTDIR=${pkgdir} install-man || return 1
+} \ No newline at end of file